%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name: libuser
Version: 0.56.13
Release: 5%{?dist}
Group: System Environment/Base
License: LGPLv2+
URL: https://fedorahosted.org/libuser/
Source: https://fedorahosted.org/releases/l/i/libuser/libuser-%{version}.tar.bz2
# Included in libuser-0.56.14.
Patch0: libuser-0.56.13-prompt-not-tty.patch
# Included in libuser-0.56.14.
Patch1: libuser-0.56.13-ldap-password.patch
# Upstream changesets 7be31ab1b558f1b506d9d00f650961c637c1ba8e and
# 072fc6a4a53a1a06281b35820fead48774fc80b2
Patch2: libuser-0.56.13-id_t.patch
# Upstream changeset 276fa0a3078b431e18289285f84a77381b89726c
Patch3: libuser-0.56.13-crypt_style.patch
# #643227, upstream libuser-0.57 fixes this differently
Patch4: libuser-0.56.13-default-pw.patch
# Upstream changesets 3b86efe54ab0f6805c3c4bccd61c1558e39d84b8 and
# f4e2b1c38d0be007bb83b6972c2ede31331c6166
Patch5: libuser-0.56.13-ldap-tests.patch
# Upstream changeset 44c92c5eef75eadb71f14f2c8834dfc7ca5b0adb
Patch6: libuser-0.56.13-empty-gecos.patch
# Upstream changeset 27d68c294018db904c0b8103d704fac1ded6a757
Patch7: libuser-0.56.13-setgid-skel.patch
# Upstream changeset 96be29c187aced348c8c567a249f947d1ba0a038
Patch8: libuser-0.56.13-get_matchingx-segfault.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: glib2-devel, linuxdoc-tools, pam-devel, popt-devel, python-devel
BuildRequires: cyrus-sasl-devel, libselinux-devel, openldap-devel
# To make sure the configure script can find it
BuildRequires: nscd
# For Patch4
BuildRequires: autoconf, automake, gettext-devel, gtk-doc, libtool
# For %%check
BuildRequires: openldap-clients, openldap-servers
Summary: A user and group account administration library

%description
The libuser library implements a standardized interface for manipulating
and administering user and group accounts.  The library uses pluggable
back-ends to interface to its data sources.

Sample applications modeled after those included with the shadow password
suite are included.

%package devel
Group: Development/Libraries
Summary: Files needed for developing applications which use libuser
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel

%description devel
The libuser-devel package contains header files, static libraries, and other
files useful for developing applications with libuser.

%package python
Summary: Python bindings for the libuser library
Group: Development/Libraries
Requires: libuser = %{version}-%{release}

%description python
The libuser-python package contains the Python bindings for
the libuser library, which provides a Python API for manipulating and
administering user and group accounts.

%prep
%setup -q
%patch0 -p1 -b .prompt-not-tty
%patch1 -p1 -b .ldap-password
%patch2 -p1 -b .id_t
%patch3 -p1 -b .crypt_style
%patch4 -p1 -b .default-pw
%patch5 -p1 -b .ldap-tests
%patch6 -p1 -b .empty-gecos
%patch7 -p1 -b .setgid-skel
%patch8 -p1 -b .get_matchingx-segfault
chmod a+x tests/default_pw_test

# For Patch4
gtkdocize --docdir docs/reference
libtoolize --force
autopoint -f
aclocal -Wall -I m4
autoconf -Wall
autoheader -Wall
automake -Wall --add-missing

%build
%configure --with-selinux --with-ldap --with-html-dir=%{_datadir}/gtk-doc/html
make

%clean
rm -fr $RPM_BUILD_ROOT

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

%find_lang %{name}

%check

make check

# Verify that all python modules load, just in case.
LD_LIBRARY_PATH=$RPM_BUILD_ROOT/%{_libdir}:${LD_LIBRARY_PATH}
export LD_LIBRARY_PATH
cd $RPM_BUILD_ROOT/%{python_sitearch}
python -c "import libuser"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO docs/*.txt
%config(noreplace) %{_sysconfdir}/libuser.conf

%attr(0755,root,root) %{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%attr(0755,root,root) %{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%exclude %{_libdir}/*.la
%exclude %{_libdir}/%{name}/*.la

%files python
%defattr(-,root,root)
%doc python/modules.txt
%{python_sitearch}/*.so
%exclude %{python_sitearch}/*.la

%files devel
%defattr(-,root,root)
%{_includedir}/libuser
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/*


%changelog

